
/*
	* 
	* Author: Brian Veitch
	* Username:Brian Veitch  
	* Site URL: https://www.youtube.com/watch?v=Go7Mc-cfsKU
	* Date accessed: Jan 8, 2015, Jan 13-14,2015
	* Description: Author presents a tutorial based on how to create a simple image slideshow using Javascript.
*/

//create array of images that will store the names of all images in this slideshow
var Image = new Array("images/colour1.jpg", "images/colour2.jpg", "images/colour3.jpg"); //this will be defined on each individual page
var Image_Number = 0; // index 0 of array Image, ie the first spot
var Image_Length = Image.length - 1; //the total length of array - 1, (array start with index 0)

function change_image(num){ //takes in as parameter which to go next(1) or previous (-1)

	Image_Number = Image_Number + num; // adds or subtracts to image index: Image_Number (+- = -)
	
	if (Image_Number > Image_Length){ //if the index is greater then the length of the array
		Image_Number = 0; //then restart the index to the beginning of the array ie index 0
	}
	
	if (Image_Number < 0){ //if the index becomes negative
		Image_Number = Image_Length; //use the last index in the array
	}
	
	document.slideshow.src= Image[Image_Number]; //change the image to the new indexed image
	
	return false;
}
			
function auto(){ 
	
	autoStart=setInterval("change_image(1)", 2000); //calls the function Change_image every 2000ms and saves the interval calling to a variable: autoStart
	document.getElementById("play").innerHTML = "Resume"; //changes the text play to resume
	document.getElementById("pause").style.display = 'inline'; //display the pause button in html
	return autoStart; //return the new created variable autoStart

}

function stopAuto(){ //this will stop auto slideshow
	
	clearInterval(autoStart); //stops the auto slide show by clearing the Interval caller: autoStart
	
	return false;
}
